

#ifndef  __GAMESTATUS_H__
#define  __GAMESTATUS_H__


#include "Screen.H"
#include "SaveFile.H"
#include "Level.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class GameStatus : public InterScreenData {
			public:
				SaveFile saveFile;
				int16_t currentLevelIndex;    // index in LevelManager::LEVELS array (0..31), -1 for no level selected
				Level currentLevel;           // level data on LevelManager::LEVELS (const) are copied here (non const)
				bool timerRunning;
		};
	}
}


#endif  // __GAMESTATUS_H__
