

#include "SaveFile.H"
#include "ScreenDeleteFileMenu.H"
#include "GameStatus.H"


using namespace avelino;
using namespace std;


static char titleText[] = "Delete file X?";


const char *ScreenDeleteFileMenu::getTitleText(uint16_t index, int16_t &y) {
	GameStatus *gs = static_cast<GameStatus *>(this->interScreenData);
	char p = 'x';
	if (gs->saveFile.position == SaveFile::Position::FILE_1)
		p = '1';
	else if (gs->saveFile.position == SaveFile::Position::FILE_2)
		p = '2';
	else if (gs->saveFile.position == SaveFile::Position::FILE_3)
		p = '3';
	titleText[12] = p;
	if (index == 0) {
		y = 2;
		return titleText;
	}
	else
		return NULL;
}


/*
static const char OPTION_NO[] = "NO";
static const char OPTION_YES[] = "YES";


const char *ScreenDeleteFileMenu::getOptionText(uint16_t index, int16_t &y) {
	SaveFileManager sfm;
	if (index == 0) {
		y = 5;
		return OPTION_NO;
	}
	else if (index == 1) {
		y = 7;
		return OPTION_YES;
	}
	else
		return NULL;
}
*/


const char *ScreenDeleteFileMenu::getBottomText() {
	return "Are you sure?";
}


/*
Screen *ScreenDeleteFileMenu::optionSelected(uint16_t index) {
	if (index == 1) {
		SaveFileManager sfm;
		GameStatus *gs = static_cast<GameStatus *>(this->interScreenData);
		sfm.remove(gs->saveFile.position);
		// when "YES" option delete saved data and back to "yesScreen"
		return this->justDeletedScreen;
	}
	// when "back" or "NO" option back to previous screen
	return this->backScreen;
}
*/


Screen *ScreenDeleteFileMenu::backSelected() {
	return this->backScreen;
}


Screen *ScreenDeleteFileMenu::optionYesSelected() {
	SaveFileManager sfm;
	GameStatus *gs = static_cast<GameStatus *>(this->interScreenData);
	sfm.remove(gs->saveFile.position);
	// when "YES" option delete saved data and back to "yesScreen"
	return this->justDeletedScreen;
}


int16_t ScreenDeleteFileMenu::getMenuStartY() {
	return 5;
}

