

#include "ScreenPauseMenu.H"


using namespace avelino;
using namespace std;


static const char TITLE_TEXT[] = "Game paused";


const char *ScreenPauseMenu::getTitleText(uint16_t index, int16_t &y) {
	if (index == 0) {
		y = 2;
		return TITLE_TEXT;
	}
	else
		return NULL;
}


static const char OPTION_1[] = "Continue";
static const char OPTION_2[] = "Finish";


const char *ScreenPauseMenu::getOptionText(uint16_t index, int16_t &y) {
	if (index == 0) {
		y = 5;
		return OPTION_1;
	}
	else if (index == 1) {
		y = 7;
		return OPTION_2;
	}
	else
		return NULL;
}


const char *ScreenPauseMenu::getBottomText() {
	return NULL;
}


Screen *ScreenPauseMenu::optionSelected(uint16_t index) {
	if (index == 1)
		return this->finishScreen;
	else
		return this->continueScreen;
}


Screen *ScreenPauseMenu::backSelected() {
	return this->continueScreen;
}

