

#ifndef  __SCREENTITLE_H__
#define  __SCREENTITLE_H__


#include "Screen.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class ScreenTitle : public Screen {
			protected:
				uint16_t alpha;
				static const uint16_t ALPHA_INC = (((uint16_t) 1) << 6);
				uint16_t objUsed;
				void print(const char *text);
				uint16_t timer;
				InterScreenData *interScreenData;
			public:
				Screen *nextScreen;
				virtual void onLoad(InterScreenData *dataFromPreviousScreen);
				virtual Screen *onVBlank(Keypad &keypad);
				virtual InterScreenData *onUnload();
		};
	}
}


#endif  // __SCREENTITLE_H__
