

#include <stdlib.h>
#include "SecondsTimer.H"


using namespace std;
using namespace avelino;


void SecondsTimer::init(SecondsTimerListener &listener) {
	this->listener = &listener;
	this->acc = 0;
	this->lastSecond = 0xFFFFFFFF;
	this->stoped = false;
}


void SecondsTimer::stop() {
	this->stoped = true;
}


void SecondsTimer::onVBlank() {
	if (this->stoped)
		return;
	this->acc += CYCLES_PER_VBLANK;
	uint32_t aux = this->acc >> FRACTIONAL_BITS;
	if (aux != this->lastSecond) {
		if (this->listener != NULL)
			this->listener->oneSecondElapsed(*this);
		this->lastSecond = aux;
	}
}

