

#include "TiltManager.H"


using namespace std;
using namespace avelino;


void TiltManager::init(int32_t min, int32_t max, int32_t speed, TiltListener *listener) {
	this->min = min;
	this->max = max;
	this->speed = speed;
	this->v = min;
	this->status = Status::RISING;
	this->listener = listener;
}


void TiltManager::onVBlank() {
	if (this->status == Status::RISING) {
		this->v += this->speed;
		if (this->v > this->max) {
			this->v = this->max;
			this->status = Status::FALLING;
		}
	}
	else if (this->status == Status::FALLING) {
		this->v -= this->speed;
		if (this->v < this->min) {
			this->v = this->min;
			this->status = Status::RISING;
		}
	}
	if (this->listener != NULL)
		this->listener->updateTilt(*this, this->v);
}
