

#include "gba.H"


using namespace avelino;
using namespace std;


void avelino::memcpy16(uint16_t *dest, const uint16_t *source, uint32_t size) {
	uint16_t *s = (uint16_t *) source;
	while (size > 0) {
		*dest = *s;
		s++;
		dest++;
		size--;
	}
}


void avelino::memcpy8(uint8_t *dest, const uint8_t *source, uint32_t size) {
	uint8_t *s = (uint8_t *) source;
	while (size > 0) {
		*dest = *s;
		s++;
		dest++;
		size--;
	}
}


void avelino::memset16(uint16_t *dest, const uint16_t v, uint32_t size) {
	while (size > 0) {
		*dest = v;
		dest++;
		size--;
	}
}


void avelino::memset8(uint8_t *dest, const uint8_t v, uint32_t size) {
	while (size > 0) {
		*dest = v;
		dest++;
		size--;
	}
}


uint16_t avelino::strlen(const char *s) {
	uint16_t n = 0;
	while (*s != 0) {
		n++;
		s++;
	}
	return n;
}


bool avelino::memequal(const uint8_t *a, const uint8_t *b, uint32_t n) {
	while (n > 0) {
		if (*a != *b)
			return false;
		a++;
		b++;
		n--;
	}
	return true;
}

