#!/bin/bash
TILES_WIDTH=16
TILES_HEIGHT=6
TILE_Y=0
TILE_INDEX=0
while [ "${TILE_Y}" -lt "${TILES_HEIGHT}" ]; do
	TILE_X=0
	while [ "${TILE_X}" -lt "${TILES_WIDTH}" ]; do
		X=$(( ${TILE_X} * 8 ))
		Y=$(( ${TILE_Y} * 8 ))
		convert -extract 8x8+${X}+${Y} "$1" tile_current.png
		convert tile_all.png tile_current.png -append tile_all.png
		echo "TILE_X=${TILE_X}, TILE_Y=${TILE_Y}"
		TILE_X=$(( ${TILE_X} + 1 ))
		TILE_INDEX=$(( ${TILE_INDEX} + 1 ))
	done
	TILE_Y=$(( ${TILE_Y} + 1 ))
done
exit 0
