

#include "LFSR.H"


using namespace std;
using namespace avelino;


void LFSR::init(uint16_t x) {
	this->v = x;
	this->getValue();
	this->getValue();
	this->getValue();
	this->getValue();
}


uint16_t LFSR::getValue() {
	uint16_t fb = (this->v << 3) & 0x8000;
	fb ^= (this->v << 12) & 0x8000;
	fb ^= (this->v << 14) & 0x8000;
	fb ^= (this->v << 15) & 0x8000;
	this->v = (this->v >> 1) | fb;
	return this->v;
}

